const fireConfirmModal = (event) => {
	Swal.fire({ title: 'Wirklich löschen?', showCancelButton: true, cancelButtonText: 'Abbrechen', icon: 'warning', confirmButtonText: "Löschen", showCloseButton: true })
		.then((result) => { if (result.isConfirmed) { htmx.trigger(event.target, 'confirmed'); } });
}


document.querySelectorAll("button[hx-trigger='confirmed']").forEach((value) => value.addEventListener("click", fireConfirmModal));

document.addEventListener("htmx:afterSwap", () => {
	document.querySelectorAll("button[hx-trigger='confirmed']").forEach((value) => value.addEventListener("click", fireConfirmModal));
});
